<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionWorkTypes](./bitburner.singularity.getfactionworktypes.md)

## Singularity.getFactionWorkTypes() method

Get the work types of a faction.

**Signature:**

```typescript
getFactionWorkTypes(faction: string): FactionWorkType[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of the faction. |

**Returns:**

[FactionWorkType](./bitburner.factionworktype.md)<!-- -->\[\]

The work types of the faction.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function returns an array containing the work types of the specified faction.

